# Phar::isWritable

(PHP 5 >= 5.3.0, PHP 7, PECL phar >= 2.0.0)

Phar::isWritable — Returns true if the phar archive can be modified

### Description

public Phar::isWritable ( void ) : bool

This method returns `TRUE` if phar.readonly is 0, and the actual phar archive on disk is not read-only.

### Parameters

No parameters.

### Return Values

Returns `TRUE` if the phar archive can be modified

### See Also

- Phar::canWrite() - Returns whether phar extension supports writing and creating phars
- PharData::isWritable() - Returns true if the tar/zip archive can be modified